package com.chenyang.druid.sql.dialect.mysql.ast.statement;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.statement.SQLAlterDatabaseItem;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlObjectImpl;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlAlterDatabaseKillJob extends MySqlObjectImpl implements SQLAlterDatabaseItem {
   private SQLName jobType;
   private SQLName jobId;

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.jobType);
         this.acceptChild(visitor, this.jobId);
      }

      visitor.endVisit(this);
   }

   public SQLName getJobType() {
      return this.jobType;
   }

   public void setJobType(SQLName jobType) {
      this.jobType = jobType;
   }

   public SQLName getJobId() {
      return this.jobId;
   }

   public void setJobId(SQLName jobId) {
      this.jobId = jobId;
   }
}
